#Remember to install packages rworldmap and plotly
require("rworldmap")
require("plotly")

#Take built-in quakes dataset to a variable
q <- quakes

#Cluster by latitude and longitude
#Use 2 clustering centers as there are 2 tectonic plates
qClstr <- kmeans(q1[,1:2],2)
#Change numbers to plate names
q$plate <- ifelse(qClstr$cluster==1,"Australia","Pacific")


###OPEN WORLD MAP IN PLOTS TAB###
#Get world map to a variable
map <- getMap(resolution = "low")
#Plot world map and frame it to Fiji area
plot(
  map,
  xlim=c(160,200),
  ylim=c(-40,-0),
  asp=1)

#Draw the dots to world map
points(
  q$long,
  q$lat,
  pch=16,
  cex=.5, 
  col="red")



###OPEN 3D CUBE IN VIEWER TAB###
#Plot a 3d cube according to the coordinates
plot_ly(
  x=q$long,
  y=q$lat,
  #Depth coordinates should be negative
  z=q$depth*-1,
  type="scatter3d",
  color=q$plate,
  mode="markers",
  #Emphasize the differences in magnitudes
  marker=list(size=(q$mag-3)*5),
  colors="Set1")

